curl --request POST \
--url https://api.anchorage-staging.com/v2/onboarding/subaccounts \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"externalId": "<string>",
"name": "<string>",
"submit": true
}
'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/subaccounts"
payload = {
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"externalId": "<string>",
"name": "<string>",
"submit": True
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [{key: '<string>', value: '<string>'}],
externalId: '<string>',
name: '<string>',
submit: true
})
};
fetch('https://api.anchorage-staging.com/v2/onboarding/subaccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"status": "<string>",
"subaccountId": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Begin new customer subaccount onboarding application
Permissions required: Onboarding
Initiate onboarding application for a new customer subaccount of Anchorage Digital
curl --request POST \
--url https://api.anchorage-staging.com/v2/onboarding/subaccounts \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"externalId": "<string>",
"name": "<string>",
"submit": true
}
'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/subaccounts"
payload = {
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"externalId": "<string>",
"name": "<string>",
"submit": True
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [{key: '<string>', value: '<string>'}],
externalId: '<string>',
name: '<string>',
submit: true
})
};
fetch('https://api.anchorage-staging.com/v2/onboarding/subaccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"status": "<string>",
"subaccountId": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Body
A collection of responses for a set of defined relevant questions.
Show child attributes
Show child attributes
External identifier for the customer subaccount onboarding application. This value has to be unique for each customer subaccount application.
The name of the subaccount.
Optional parameter to try to submit the application if there are no validation errors. This action is irreversible you cannot update the application values after. You can use this to avoid making another api call to POST /v2/onboarding/subaccounts/submit
Response
Customer subaccount ID and information of the successfully created customer subaccount onboarding application
Show child attributes
Show child attributes
Was this page helpful?